API Guide Home (Online version only) |

# PalmLcdOverlay.h File Reference

## Detailed Description

Exported LCD Overlay functions.

Version:
  1.0

Definition in file PalmLcdOverlay.h.

Include dependency graph for PalmLcdOverlay.h:

Go to the source code of this file.

## Data Structures

- struct LcdOverlayLibSettingTag
    Generic settings For settings without manual values, only type is used. More...

## Defines

To Define when building the library

- #define OVLY_LIB_TRAP(trapNum) SYS_TRAP(trapNum)

Type and creator of the Library

- #define kLcdOverlayLibType 'libr'
- #define kLcdOverlayLibCreator 'Povl'

Internal library name which can be passed to SysLibFind()

- #define kLcdOverlayLibName "LcdOverlayManager"

Library versionning

- #define kLcdOverlayLibVersion1 sysMakeROMVersion(1, 0, 0, sysROMStageRelease, 0)
- #define kLcdOverlayLibVersion kLcdOverlayLibVersion1

LCD Overlay result codes
(appErrorClass is reserved for 3rd party apps/libraries. It is defined in SystemMgr.h)

- #define kLcdOverlayLibErrorClass (oemErrorClass + 0x200)
- #define kLcdOverlayLibErrBadParam (kLcdOverlayLibErrorClass | 0x01)
- #define kLcdOverlayLibErrNoMemory (kLcdOverlayLibErrorClass | 0x02)
- #define kLcdOverlayLibErrNotOpen (kLcdOverlayLibErrorClass | 0x03)
- #define kLcdOverlayLibErrStillOpen (kLcdOverlayLibErrorClass | 0x04)
- #define kLcdOverlayLibErrInternal (kLcdOverlayLibErrorClass | 0x05)
- #define kLcdOverlayLibErrNotSupported (kLcdOverlayLibErrorClass | 0x06)
- #define kLcdOverlayLibErrNotCompatible (kLcdOverlayLibErrorClass | 0x07)

Command definition

- #define kLcdOverlayLibCtrlFormatSet 0x01
- #define kLcdOverlayLibCtrlFormatGet 0x02
- #define kLcdOverlayLibCtrlFormatQuery 0x03
- #define kLcdOverlayLibCtrlRectSet 0x04
- #define kLcdOverlayLibCtrlRectGet 0x05
- #define kLcdOverlayLibCtrlStart 0x06
- #define kLcdOverlayLibCtrlDraw 0x07
- #define kLcdOverlayLibCtrlStop 0x08

Overlay data format

- #define kLcdOverlayLibDataFormatYCbCr444 0x02
- #define kLcdOverlayLibDataFormatYCbCr422 0x04
- #define kLcdOverlayLibDataFormatYCbCr420 0x08
- #define kLcdOverlayLibDataFormatYCbCr444Planar 0x10
- #define kLcdOverlayLibDataFormatYCbCr422Planar 0x20
- #define kLcdOverlayLibDataFormatYCbCr420Planar 0x40
- #define kLcdOverlayLibDataFormatRGB565 0x80

Library trap

- #define kLcdOverlayLibTrapGetVersion (sysLibTrapCustom + 0)
- #define kLcdOverlayLibTrapControl (sysLibTrapCustom + 1)

## Typedefs

- typedef UInt16 LcdOverlayLibControlType
- typedef LcdOverlayLibSettingTag LcdOverlayLibSettingType
    Generic settings For settings without manual values, only type is used.
- typedef LcdOverlayLibSettingTag LcdOverlayLibFormatType

## Functions

- Err LcdOverlayLibOpen (UInt16 refNum)
    Standard library open function.
- Err LcdOverlayLibClose (UInt16 refNum)
    Standard library close function.
- Err LcdOverlayLibSleep (UInt16 refNum)
    Parameters:

      | refNum,: | IN:

- Err LcdOverlayLibWake (UInt16 refNum)
    Parameters:

      | refNum,: | IN:

- Err LcdOverlayLibGetVersion (UInt16 refNum, UInt32 sdkVersion, UInt32 *libVersionP)
    Custom library API functions.
- Err LcdOverlayLibControl (UInt16 refNum, LcdOverlayLibControlType cmdId, void *parameterP)
    Parameters:

      | refNum,: | IN:

## Define Documentation

#define kLcdOverlayLibCreator 'Povl'

database creator

Definition at line 51 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlDraw 0x07

Parameter as void*

Definition at line 105 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlFormatGet 0x02

Parameter as LcdOverlayLibFormatType*

Definition at line 98 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlFormatQuery 0x03

Parameter as LcdOverlayLibFormatType*

Definition at line 99 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlFormatSet 0x01

Parameter as LcdOverlayLibFormatType*

Definition at line 97 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlRectGet 0x05

Parameter as RectangleType* (low res coords)

Definition at line 102 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlRectSet 0x04

Parameter as RectangleType* (low res coords)

Definition at line 101 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlStart 0x06

No parameter

Definition at line 104 of file PalmLcdOverlay.h.

#define kLcdOverlayLibCtrlStop 0x08

No parameter

Definition at line 106 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatRGB565 0x80

Definition at line 140 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatYCbCr420 0x08

Definition at line 134 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatYCbCr420Planar 0x40

Definition at line 138 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatYCbCr422 0x04

Definition at line 133 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatYCbCr422Planar 0x20

Definition at line 137 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatYCbCr444 0x02

Definition at line 132 of file PalmLcdOverlay.h.

#define kLcdOverlayLibDataFormatYCbCr444Planar 0x10

Definition at line 136 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrBadParam (kLcdOverlayLibErrorClass | 0x01)

invalid parameter

Definition at line 79 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrInternal (kLcdOverlayLibErrorClass | 0x05)

Internal error

Definition at line 83 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrNoMemory (kLcdOverlayLibErrorClass | 0x02)

Memory error

Definition at line 80 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrNotCompatible (kLcdOverlayLibErrorClass | 0x07)

Bad Version

Definition at line 85 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrNotOpen (kLcdOverlayLibErrorClass | 0x03)

library is not open

Definition at line 81 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrNotSupported (kLcdOverlayLibErrorClass | 0x06)

Unsupported function

Definition at line 84 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrorClass (oemErrorClass + 0x200)

Definition at line 78 of file PalmLcdOverlay.h.

#define kLcdOverlayLibErrStillOpen (kLcdOverlayLibErrorClass | 0x04)

returned from LcdOverlayLibClose() if the library is still open

Definition at line 82 of file PalmLcdOverlay.h.

#define kLcdOverlayLibName "LcdOverlayManager"

Definition at line 59 of file PalmLcdOverlay.h.

#define kLcdOverlayLibTrapControl (sysLibTrapCustom + 1)

Definition at line 151 of file PalmLcdOverlay.h.

#define kLcdOverlayLibTrapGetVersion (sysLibTrapCustom + 0)

Definition at line 150 of file PalmLcdOverlay.h.

#define kLcdOverlayLibType 'libr'

database type

Definition at line 50 of file PalmLcdOverlay.h.

#define kLcdOverlayLibVersion kLcdOverlayLibVersion1

Definition at line 68 of file PalmLcdOverlay.h.

#define kLcdOverlayLibVersion1 sysMakeROMVersion(1, 0, 0, sysROMStageRelease, 0)

Definition at line 67 of file PalmLcdOverlay.h.

#define OVLY_LIB_TRAP | ( | trapNum |  | ) | SYS_TRAP(trapNum)

Definition at line 40 of file PalmLcdOverlay.h.

## Typedef Documentation

typedef UInt16 LcdOverlayLibControlType

Definition at line 109 of file PalmLcdOverlay.h.

typedef struct LcdOverlayLibSettingTag LcdOverlayLibFormatType

Definition at line 143 of file PalmLcdOverlay.h.

typedef struct LcdOverlayLibSettingTag LcdOverlayLibSettingType

Generic settings For settings without manual values, only type is used.

## Function Documentation

Err LcdOverlayLibClose | ( | UInt16 | refNum | ) |

Standard library close function.

Parameters:

  | refNum,: | IN:

Return values:

  | Err | error code.

Err LcdOverlayLibControl | ( | UInt16 | refNum,
|  | LcdOverlayLibControlType | cmdId,
|  | void * | parameterP |
| ) |  |  |

Parameters:

  | refNum,: | IN:

Parameters:

  | cmdId,: | IN:
  | parameterP,: | IN:

Return values:

  | Err | error code.

Err LcdOverlayLibGetVersion | ( | UInt16 | refNum,
|  | UInt32 | sdkVersion,
|  | UInt32 * | libVersionP |
| ) |  |  |

Custom library API functions.

Parameters:

  | refNum,: | IN:
  | sdkVersion,: | IN:
  | libVersionP,: | IN:

Return values:

  | Err | error code.

Err LcdOverlayLibOpen | ( | UInt16 | refNum | ) |

Standard library open function.

Parameters:

  | refNum,: | IN:

Return values:

  | Err | error code.

Err LcdOverlayLibSleep | ( | UInt16 | refNum | ) |

Parameters:

  | refNum,: | IN:

Return values:

  | Err | error code.

Err LcdOverlayLibWake | ( | UInt16 | refNum | ) |

Parameters:

  | refNum,: | IN:

Return values:

  | Err | error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:43 2008 for Palm API Guide